        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE SCQF__genmod
          INTERFACE 
            SUBROUTINE SCQF(NT,T,MLT,WTS,NWTS,NDX,SWTS,ST,KIND,ALPHA,   &
     &BETA,A,B)
              INTEGER(KIND=4) :: NWTS
              INTEGER(KIND=4) :: NT
              REAL(KIND=8) :: T(NT)
              INTEGER(KIND=4) :: MLT(NT)
              REAL(KIND=8) :: WTS(NWTS)
              INTEGER(KIND=4) :: NDX(NT)
              REAL(KIND=8) :: SWTS(NWTS)
              REAL(KIND=8) :: ST(NT)
              INTEGER(KIND=4) :: KIND
              REAL(KIND=8) :: ALPHA
              REAL(KIND=8) :: BETA
              REAL(KIND=8) :: A
              REAL(KIND=8) :: B
            END SUBROUTINE SCQF
          END INTERFACE 
        END MODULE SCQF__genmod
